=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::BatchesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'BatchesApi' do
  before do
    # run before each test
    @instance = Shippo::BatchesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of BatchesApi' do
    it 'should create an instance of BatchesApi' do
      expect(@instance).to be_instance_of(Shippo::BatchesApi)
    end
  end

  # unit tests for add_shipments_to_batch
  # Add shipments to a batch
  # Add batch shipments to an existing batch.
  # @param batch_id description: Object ID of the batch
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [Array<BaseBatchShipment>] :body Array of shipments to add to the batch
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Batch]
  describe 'add_shipments_to_batch test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_batch
  # Create a batch
  # Creates a new batch object.
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [BatchToCreate] :body Batch details.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Batch]
  describe 'create_batch test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_batch
  # Retrieve a batch
  # Retrieve an existing batch object.
  # @param batch_id description: Object ID of the batch
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Batch]
  describe 'get_batch test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for purchase_batch
  # Purchase a batch
  # Purchase an existing batch with an status of VALID. Once you send a POST request to the purchase endpoint the batch status will change to PURCHASING. When all the shipments are purchased, the status will change to PURCHASED and you will receive a batch_purchased webhook indicating that the batch has been purchased
  # @param batch_id description: Object ID of the batch
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Batch]
  describe 'purchase_batch test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for remove_shipments_from_batch
  # Remove shipments from a batch
  # Remove batch shipments from an existing batch.
  # @param batch_id description: Object ID of the batch
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :body Array of shipments object ids to remove from the batch
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Batch]
  describe 'remove_shipments_from_batch test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
